using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Shared.Database.Models;

[Table("call_put_type")]
public partial class CallPutType
{
    [Key]
    [Column("id")]
    public int Id { get; set; }

    [Column("name", TypeName = "citext")]
    public string? Name { get; set; }

    [Column("reserved_field1", TypeName = "citext")]
    public string? ReservedField1 { get; set; }

    [Column("reserved_field2", TypeName = "citext")]
    public string? ReservedField2 { get; set; }
}
